Transactions
Relevant webhooks
For this endpoint be sure you have registered for these webhooks:
- Core.Transaction.Completed
- Core Transaction.Rejected
API reference
The Core Transactions API endpoint allows partners to move funds between their accounts. This endpoint effects a book transfer. It is an extended version of the transfer endpoint. It allows you to provide a description and transaction code. In the context of Advanced Authorization, this endpoint is provided for the partner to sync external activity (transactions) into Cross River accounts at the end of each day.
Endpoint: /core/v1/transactions
POST
https://sandbox.crbcos.com/core/v1/transactions
curl -L 'https://sandbox.crbcos.com/core/v1/transactions' ^
-H 'Content-Type: application/json' ^
-H 'Authorization: Bearer token' ^
-d '{
"debitAccountNumber": "2955057589",
"creditAccountNumber": "2870342504",
"transactionCode": "Account Transfer",
"description": "Settlement Transfer",
"amount": 13571,
"currency": "usd",
"clientIdentifier": "1988192d-3967-485e-a720-ffef339638ab",
"flags": []
}
'